import Vue from 'vue';
import App from './App.vue';
import router from './router';
import ElementUI from 'element-ui';
import VueI18n from 'vue-i18n';
import {
	messages
} from './components/common/i18n';
import 'element-ui/lib/theme-chalk/index.css'; // 默认主题
// import './assets/css/theme-green/index.css'; // 浅绿色主题
import './assets/css/icon.css';
import './components/common/directives';
import 'babel-polyfill';

import Api from './api/index.js';
Vue.prototype.$api = Api;

// 使用 ES Module
import * as echarts from 'echarts';
Vue.prototype.$echarts = echarts


// 富文本图片路径
Vue.prototype.IMGqiURL = 'https://www.tmrjournals.com/public/'
// 资源访问路径
// Vue.prototype.IMGdoURL = 'https://journalapi.tmrjournals.com/public/'
Vue.prototype.IMGdoURL = '/public/'
// 资源接口路径
Vue.prototype.IMGupURL = '/'


// // 本地
// Vue.prototype.IMGqiURL = 'http://journal.com/'
// Vue.prototype.IMGdoURL = 'http://journal.com/'
// Vue.prototype.IMGupURL = 'http://journal.com/'

// // 外网
// Vue.prototype.IMGqiURL = 'http://testjournal.tmrjournals.com/public/'
// Vue.prototype.IMGdoURL = 'http://testjournal.tmrjournals.com/public/'
// Vue.prototype.IMGupURL = 'http://testjournal.tmrjournals.com/public/index.php/'


Vue.config.productionTip = false;
Vue.use(VueI18n);
Vue.use(ElementUI, {
	size: 'small'
});
const i18n = new VueI18n({
	locale: 'zh',
	messages
});

//使用钩子函数对路由进行权限跳转
router.beforeEach((to, from, next) => {
	if (window.sessionStorage.getItem('admin_safe') == null) {
		window.sessionStorage.setItem('admin_safe', 0)
		localStorage.removeItem('admin_username')
		localStorage.removeItem('admin_id')
		localStorage.removeItem('admin_role')
		localStorage.removeItem('admin_time')
		next('/login');
	}
	document.title = `${to.meta.title} | vue-manage-system`;
	const role = localStorage.getItem('admin_username');
	if (!role && to.path !== '/login') {
		next('/login');
	} else if (to.meta.permission) {
		// 如果是管理员权限则可进入，这里只是简单的模拟管理员权限而已
		role === 'admin' ? next() : next('/403');
	} else {
		// 简单的判断IE10及以下不进入富文本编辑器，该组件不兼容
		if (navigator.userAgent.indexOf('MSIE') > -1 && to.path === '/editor') {
			Vue.prototype.$alert('vue-quill-editor组件不兼容IE10及以下浏览器，请使用更高版本的浏览器查看', '浏览器不兼容通知', {
				confirmButtonText: '确定'
			});
		} else {
			next();
		}
	}
});

new Vue({
	router,
	i18n,
	render: h => h(App)
}).$mount('#app');
